@charset "UTF-8";

:root {
  --color-primary: #e63116;
  --color-primary-ll: #fff0f3;

  --post-side-padding: 16px;
  --item-side-padding: 16px;

  --fs-default: 1.6rem;
  --fc-default: #333;

  --cta-btn-height: 72px;

  --cta-btn-color: #fe7c44;
  --cta-btn-color-d: #e95a65;

  --color-gray: #f0ebe1;

  --color-page-bg: #fff5e1;;
}

.post--page b,
.post--page h2,
.post--page h3 {
  font-weight: 700;
}

body {
  background: var(--color-page-bg);
}



/*------------------------------------------

Layout

------------------------------------------*/

.post--page {
  width: 100vw;
  max-width: 480px;
  padding: 0 var(--post-side-padding);
  background: #fff;
}

.post--page .post-body {
  color: var(--fc-default);
  font-size: var(--fs-default);
}

.post--page .post-body a:is([class*="btn"] *) {
  color: #fff;
}

.post--page .post-body a:is([class*="btn"] *):hover {
  color: #fff;
}



/*------------------------------------------

 Problem

------------------------------------------*/

.problem-section {
  margin: 0 calc(var(--post-side-padding) * -1) 0;
  padding: 28px var(--post-side-padding);
  background: var(--color-primary);
}

.problem-section li {
  width: fit-content;
  padding: 0 8px;
  font-weight: 600;
  background: #fff;
  border-radius: 8px;
}

.problem-section li + li {
  margin: 12px 0 0 20px;
}



/*------------------------------------------

 Item

------------------------------------------*/

.item {
  margin: 0 calc(var(--post-side-padding) * -1);
  padding: 0 var(--item-side-padding) 28px;
  background: #fff;
  border-top: 5px solid var(--color-primary);
  overflow: hidden;
}

.item:first-child {
  border-color: var(--color-primary);
}

.item-header {
  margin: 0 calc(var(--item-side-padding) * -1);
  grid-template-columns: 44px 1fr;
}

.item-header::after {
  height: 2px;
  background: #f2f2f2;
}

.item-header h2 {
  font-size: 1.8rem;
  display: flex;
  align-items: center;
  gap: 4px;
}

.item-header h2 a {
  color: var(--fc-default);
  text-decoration: underline;
}

.item-header h2 a:hover {
}

.item-header h2::after {
  width: 20px;
  height: 20px;
  background-image: url(../img/icon-link-white.svg);
  background-repeat: no-repeat;
  background-size: 100%;
  content: "";
  display: block;
  transform: translateY(-1px);
}

.item-header:is(.item:first-child *)::before {
  background-image: url(../img/icon-rank1.svg);
}

.item-header:is(.item:nth-child(2) *)::before {
  background-image: url(../img/icon-rank2.svg);
}

.item-header:is(.item:nth-child(3) *)::before {
  background-image: url(../img/icon-rank3.svg);
}



.item-img {
  width: 260px;
  margin: 24px auto 0;
}


/*-------------------------------
 Item Point
--------------------------------*/

.item-point {
  margin-top: 28px;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);
}

.item-point__heading {
  padding: 4px 0 4px 24px;
  color: #fff;
  font-size: 1.6rem;
  font-weight: 600;
  background: var(--color-primary);
  border-radius: 6px 6px 0 0;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

.item-point__heading::before {
  content: none;
}


.item-point ul {
  margin-top: 0;
  padding: 8px 12px;  
  border: 2px solid var(--color-primary);
  border-top: none;
  border-radius: 0 0 6px 6px;
}

.item-point li {
  padding: 7px 0 7px 18px;
  font-size: 1.55rem;
  position: relative;
}

.item-point li b {
  font-weight: 700;
}

.item-point li:not(:first-child) {
  border-top: 1px dashed #bbb;
}

.item-point li::before {
  width: 6px;
  height: 6px;
  background: var(--color-primary);
  border-radius: 100%;
  content: "";
  display: block;
  position: absolute;
  top: 17px;
  left: 4px;
}


/*-------------------------------
 Item Info Table
--------------------------------*/

.item-info-table {
  margin-top: 20px;
}

.item-info-table dl {
  background: var(--color-primary);
  border: 2px solid var(--color-primary);
  border-radius: 6px;
  overflow: hidden;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 2px;
}

.item-info-table dt {
  color: #fff;
  font-size: 1.3rem;
  font-weight: 600;
  display: flex;
  justify-content: center;
  align-items: center;
}

.item-info-table dd {
  height: 64px;
  text-align: center;
  font-size: 1.4rem;
  font-weight: 500;
  line-height: 1.4;
  background: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  z-index: 0;
}

.item-info-table dd::before {
  width: 36px;
  height: 36px;
  background-repeat: no-repeat;
  background-size: 100%;
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: -1;
  transform: translate(-50%, -50%);
  opacity: .17;
} 

.item-info-table dd.column--nijumaru::before {
  background-image: url(../img/icon-nijumaru.svg);
}


.item-inner-heading {
  margin: 0 0 20px;
  padding: 0 10px 0 30px;
  position: relative;
}

.item-inner-heading::before {
  width: 10px;
  height: 10px;
  background: var(--color-primary);
  border-radius: 100%;
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  left: 8px;
  transform: translateY(-50%);
}



/*------------------------------------------

 Comment

------------------------------------------*/

.lp-comment {
  margin: 40px calc(var(--item-side-padding) * -1) 0;
  padding: 28px var(--item-side-padding);
  background: var(--color-primary-ll);
}

.lp-comment__heading {
  padding: 4px 16px;
  color: #fff;
  background: var(--color-primary);
}

.lp-comment .comment-item {
  border-radius: 0;
}

.lp-comment .comment-item__header {
  padding: 10px 16px;
}

.lp-comment .comment-item__text {
  padding: 16px;
}



/*------------------------------------------

 CTA

------------------------------------------*/

.cta-btn {
  margin: 20px 0 0;
}

.cta-btn:is(.item-point + *) {
  margin-top: 12px;
}

.cta-btn a {
  height: var(--cta-btn-height);
  color: #fff;
  font-size: 1.7rem;
  font-weight: 600;
  line-height: 1.2;
  background: #fb724d;
  border-radius: 8px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 7px;
  position: relative;
  z-index: 0;
}

.cta-btn a::after {
  width: 20px;
  aspect-ratio: 1 / 1;
  background-image: url(../img/arrow-circle.svg);
  background-repeat: no-repeat;
  background-size: 100%;
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  right: 16px;
  transform: translateY(-50%);
}

